Name:           ocaml-fileutils
Version:        0.5.2
Release:        7
Summary:        API to manipulate files (POSIX like) and filenames
License:        LGPLv2 with exceptions
URL:            https://github.com/gildor478/ocaml-fileutils
Source0:        https://download.ocamlcore.org/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz

Patch0001:      fileutils-0.5.2-fix-bytes.patch

BuildRequires:  ocaml >= 4.00.1 ocaml-findlib-devel >= 1.3.3-3
BuildRequires:  ocaml-ocamlbuild ocaml-ocamldoc ocaml-ounit-devel

%description
This library provides an API to perform POSIX like operations on files like:
  mv
  cp
  rm
  mkdir
  touch
  which...

It also providesa module to manipulate abstract filenames:
  classification
  make_relative: made a filename relative to another
  make_absolute

%package        devel
Summary:        Development documents for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package provides libraries and some other development documents for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
ocaml setup.ml -configure --destdir $RPM_BUILD_ROOT --prefix %{_prefix} --enable-tests
make

%install
export DESTDIR=$RPM_BUILD_ROOT OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR/stublibs

make htmldir=. install

%check
make test

%files
%doc AUTHORS.txt CHANGELOG.txt COPYING.txt README.txt TODO.txt
%{_libdir}/ocaml/fileutils
%exclude %{_libdir}/ocaml/fileutils/*.{a,cmx,cmxa,ml,mli}

%files devel
%{_libdir}/ocaml/fileutils/*.{a,cmx,cmxa,ml,mli}

%changelog
* Tue Nov 22 2022 xu_ping<xu_ping33@h-partners.com> - 0.5.2-7
- Modify invalid source

* Wed Feb 26 2020 zhouyihang<zhouyihang1@huawei.com> - 0.5.2-6
- Package init
